#   
# spec file for package vacuum-im-plugins-usertune
#   
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright Andrey Karepin <egdfree@opensuse.org>
#   
# All modifications and additions to the file contributed by third parties   
# remain the property of their copyright owners, unless otherwise agreed   
# upon. The license for this file, and modifications and additions to the   
# file, is the same license as for the pristine package itself (unless the   
# license for the pristine package is not an Open Source License, in which   
# case the license is the MIT License). An "Open Source License" is a   
# license that conforms to the Open Source Definition (Version 1.9)   
# published by the Open Source Initiative.
#
%define app_name vacuum-im
Name: vacuum-im-plugins-usertune
Summary: Vacuum-IM User Tune Handler plugin
Version: 0.9.6
Release: 10.1
License: GPL-3.0
Group: System/Libraries
Source: %{name}-%{version}.tar.bz2
Url: http://www.vacuum-im.org/
BuildRequires: libqt4-devel vacuum-im-devel libvacuumutils17
BuildRequires: cmake fdupes
 
%description
This plugin provides support to XEP-0118: defines a payload format for
communicating information about music to which a user is listening, including
the title, track number, collection, performer, composer, length, and user
rating. The payload format is typically transported using the personal eventing
protocol, a profile of XMPP publish-subscribe specified in XEP-0163.
 
%prep
%setup -q -n %{name}
 
%build
%{__mkdir} build
cd build
cmake .. -DCMAKE_BUILD_TYPE=RelWithDebInfo -DCMAKE_INSTALL_PREFIX=%{_prefix} -DINSTALL_LIB_DIR=%{_lib} -DINSTALL_APP_DIR=%{app_name} -DINSTALL_DOC_DIR=%{_defaultdocdir}
%{__make} %{?_smp_mflags}
 
%install
pushd build
%{make_install} INSTALL_ROOT=%{buildroot}
popd
 
%fdupes %{buildroot}%{_datadir}
 
%files
%defattr(-,root,root)
%{_libdir}/%{app_name}
%dir %{_libdir}/%{app_name}/plugins
%{_datadir}/%{app_name}
 
%changelog
* Sun Jun 10 2012 egdfree@opensuse.org
- fix
  * crash after set fetchersNone
* Tue May 22 2012 egdfree@opensuse.org
- update
  * not send <length/> if track length not know
  * delay 2 seconds before send tune
* Tue May  8 2012 egdfree@opensuse.org
- update to 0.9.4
  * add options UI
  * support mpris v1 and v2
  * add fixes and stability patches
* Sat Mar 10 2012 egdfree@opensuse.org
- initial
